summaryrefslogblamecommitdiffstats
path: root/x11/gnome-shell/files/patch-configure
blob: 0450f7d9d354fe50d35b37ae1efafce10f855160 (plain) (tree)






























































































































































































































                                                                                                                                                                                                                                                                       
--- configure.orig  2009-08-07 18:14:52.000000000 +0000
+++ configure   2009-08-14 05:07:08.000000000 +0000
@@ -974,9 +967,7 @@
 GDMUSER_CFLAGS
 GDMUSER_LIBS
 TRAY_CFLAGS
-TRAY_LIBS
-LIBGNOMEUI_CFLAGS
-LIBGNOMEUI_LIBS'
+TRAY_LIBS'
 
 
 # Initialize some variables set by options.
@@ -1663,10 +1652,6 @@
               linker flags for GDMUSER, overriding pkg-config
   TRAY_CFLAGS C compiler flags for TRAY, overriding pkg-config
   TRAY_LIBS   linker flags for TRAY, overriding pkg-config
-  LIBGNOMEUI_CFLAGS
-              C compiler flags for LIBGNOMEUI, overriding pkg-config
-  LIBGNOMEUI_LIBS
-              linker flags for LIBGNOMEUI, overriding pkg-config
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -11638,9 +11597,7 @@
 " >&2;}
    { (exit 1); exit 1; }; }
 elif test $pkg_failed = untried; then
-   { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+   { { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
 path to pkg-config.
 
@@ -11660,7 +11617,7 @@
 
 To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
+   { (exit 1); exit 1; }; }
 else
    TEST_SHELL_RECORDER_CFLAGS=$pkg_cv_TEST_SHELL_RECORDER_CFLAGS
    TEST_SHELL_RECORDER_LIBS=$pkg_cv_TEST_SHELL_RECORDER_LIBS
@@ -11691,12 +11648,12 @@
     pkg_cv_MUTTER_PLUGIN_CFLAGS="$MUTTER_PLUGIN_CFLAGS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu \$recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0\"") >&5
-  ($PKG_CONFIG --exists --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0") 2>&5
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu \$recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26\"") >&5
+  ($PKG_CONFIG --exists --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26") 2>&5
   ac_status=$?
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_MUTTER_PLUGIN_CFLAGS=`$PKG_CONFIG --cflags "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0" 2>/dev/null`
+  pkg_cv_MUTTER_PLUGIN_CFLAGS=`$PKG_CONFIG --cflags "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -11707,12 +11664,12 @@
     pkg_cv_MUTTER_PLUGIN_LIBS="$MUTTER_PLUGIN_LIBS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu \$recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0\"") >&5
-  ($PKG_CONFIG --exists --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0") 2>&5
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu \$recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26\"") >&5
+  ($PKG_CONFIG --exists --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26") 2>&5
   ac_status=$?
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_MUTTER_PLUGIN_LIBS=`$PKG_CONFIG --libs "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0" 2>/dev/null`
+  pkg_cv_MUTTER_PLUGIN_LIBS=`$PKG_CONFIG --libs "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -11730,14 +11687,14 @@
         _pkg_short_errors_supported=no
 fi
         if test $_pkg_short_errors_supported = yes; then
-           MUTTER_PLUGIN_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0" 2>&1`
+           MUTTER_PLUGIN_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26" 2>&1`
         else
-           MUTTER_PLUGIN_PKG_ERRORS=`$PKG_CONFIG --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0" 2>&1`
+           MUTTER_PLUGIN_PKG_ERRORS=`$PKG_CONFIG --print-errors "gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26" 2>&1`
         fi
    # Put the nasty error message in config.log where it belongs
    echo "$MUTTER_PLUGIN_PKG_ERRORS" >&5
 
-   { { $as_echo "$as_me:$LINENO: error: Package requirements (gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0) were not met:
+   { { $as_echo "$as_me:$LINENO: error: Package requirements (gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26) were not met:
 
 $MUTTER_PLUGIN_PKG_ERRORS
 
@@ -11748,7 +11705,7 @@
 and MUTTER_PLUGIN_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 " >&5
-$as_echo "$as_me: error: Package requirements (gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0) were not met:
+$as_echo "$as_me: error: Package requirements (gio-unix-2.0 gtk+-2.0 dbus-glib-1 mutter-plugins gjs-gi-1.0 libgnome-menu $recorder_modules gconf-2.0 gdk-x11-2.0 clutter-x11-1.0 clutter-glx-1.0 gnome-desktop-2.0 >= 2.26) were not met:
 
 $MUTTER_PLUGIN_PKG_ERRORS
 
@@ -12227,118 +12174,6 @@
 $as_echo "yes" >&6; }
    :
 fi
-# We require libgnomeui for generating thumbnails for recent files with GnomeThumbnailFactory.
-# We'll switch to using GnomeDesktopThumbnailFactory once the branch of gnome-desktop that contains
-# it becomes stable.
-
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for LIBGNOMEUI" >&5
-$as_echo_n "checking for LIBGNOMEUI... " >&6; }
-
-if test -n "$LIBGNOMEUI_CFLAGS"; then
-    pkg_cv_LIBGNOMEUI_CFLAGS="$LIBGNOMEUI_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0\"") >&5
-  ($PKG_CONFIG --exists --print-errors "libgnomeui-2.0") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_LIBGNOMEUI_CFLAGS=`$PKG_CONFIG --cflags "libgnomeui-2.0" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-if test -n "$LIBGNOMEUI_LIBS"; then
-    pkg_cv_LIBGNOMEUI_LIBS="$LIBGNOMEUI_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0\"") >&5
-  ($PKG_CONFIG --exists --print-errors "libgnomeui-2.0") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_LIBGNOMEUI_LIBS=`$PKG_CONFIG --libs "libgnomeui-2.0" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-           LIBGNOMEUI_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "libgnomeui-2.0" 2>&1`
-        else
-           LIBGNOMEUI_PKG_ERRORS=`$PKG_CONFIG --print-errors "libgnomeui-2.0" 2>&1`
-        fi
-   # Put the nasty error message in config.log where it belongs
-   echo "$LIBGNOMEUI_PKG_ERRORS" >&5
-
-   { { $as_echo "$as_me:$LINENO: error: Package requirements (libgnomeui-2.0) were not met:
-
-$LIBGNOMEUI_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables LIBGNOMEUI_CFLAGS
-and LIBGNOMEUI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (libgnomeui-2.0) were not met:
-
-$LIBGNOMEUI_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables LIBGNOMEUI_CFLAGS
-and LIBGNOMEUI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-   { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables LIBGNOMEUI_CFLAGS
-and LIBGNOMEUI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables LIBGNOMEUI_CFLAGS
-and LIBGNOMEUI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
-else
-   LIBGNOMEUI_CFLAGS=$pkg_cv_LIBGNOMEUI_CFLAGS
-   LIBGNOMEUI_LIBS=$pkg_cv_LIBGNOMEUI_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-   :
-fi
 
 MUTTER_BIN_DIR=`$PKG_CONFIG --variable=exec_prefix mutter-plugins`/bin
 # FIXME: metacity-plugins.pc should point directly to its .gir file